Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eways.batchext
Class BatchRecordConfiguration

    java.lang.Object
      com.stc.eways.batchext.BatchRecordConfiguration

    public class BatchRecordConfiguration

extends java.lang.Object

This class holds the configuration information for the record-processing ETD. These configuration parameter settings are derived from the e*Way Connection. This class can also parse this configuration information and provide it to you via accessor methods.

Constructor Summary
`BatchRecordConfiguration(java.util.Properties props)` Constructor; gets the properties object from the e*Way Connection.

Method Summary
`java.lang.String` | `getParserClassName()` Gets the record-parser class name.
`byte[]` | `getRecordDelimiter()` Gets the record delimiter as it was set in the e*Way Configuration Editor but converted to a byte array.
`java.lang.String` | `getRecordDelimiterAsString()` Gets the record delimiter as it was set in the e*Way Configuration Editor.
`int` | `getRecordSize()` Gets the record size as it was set in the e*Way Configuration Editor.
`java.lang.String` | `getRecordType()` Gets the record type as it was set in the e*Way Configuration Editor.
`boolean` | `getSynchronized()`
`java.util.Properties` | `getUserProperties()` Gets the user-defined properties and returns a null if there are no such properties.
`boolean` | `isCreateMode()` Returns whether create mode was selected in the e*Way Configuration Editor.
`boolean` | `isDelimiterOnLast()` Gets the status of your setting in the e*Way Configuration Editor, which indicates whether there is a delimiter on the last record in the file.
`protected void` | `parseProperties()`
`protected void` | `setSynchronized(boolean b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BatchRecordConfiguration

    public BatchRecordConfiguration(java.util.Properties props)

  Constructor; gets the properties object from the e*Way Connection.

  Parameters:
    `props` - My properties. These properties come from the settings made in the e*Way Configuration Editor and contain the configuration parameters.

Method Detail

### getParserClassName

    public java.lang.String getParserClassName()

  Gets the record-parser class name. Which class depends on whether you chose "Fixed", "Delimited", or "Single" in the e*Way Configuration Editor . If you chose "User Class," the return is the class name you entered.

### getRecordType

    public java.lang.String getRecordType()

  Gets the record type as it was set in the e*Way Configuration Editor. The method returns "Fixed", "Delimited," or "Single."

### getRecordDelimiter

    public byte[] getRecordDelimiter()

  Gets the record delimiter as it was set in the e*Way Configuration Editor but converted to a byte array. Only use this method if you chose "Delimited" as the record type.

### getRecordDelimiterAsString

    public java.lang.String getRecordDelimiterAsString()

  Gets the record delimiter as it was set in the e*Way Configuration Editor. Only use this method if you chose "Delimited" as the record type.

### getRecordSize

    public int getRecordSize()

  Gets the record size as it was set in the e*Way Configuration Editor. Only use this method if you chose "Fixed" as the record type.

### isDelimiterOnLast

    public boolean isDelimiterOnLast()

  Gets the status of your setting in the e*Way Configuration Editor, which indicates whether there is a delimiter on the last record in the file. Only use this method if you chose "Delimited" as the record type.

### isCreateMode

    public boolean isCreateMode()

  Returns whether create mode was selected in the e*Way Configuration Editor. true if so, but false if otherwise (which indicates the parse mode).

### getUserProperties

    public java.util.Properties getUserProperties()

  Gets the user-defined properties and returns a null if there are no such properties.

### parseProperties

    protected void parseProperties()

### setSynchronized

    protected void setSynchronized(boolean b)

### getSynchronized

    public boolean getSynchronized()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD